# Copyright (C) 2019 @HomineLudens
#
# The source code in this file is released under the MIT license.
# Go to http://opensource.org/licenses/MIT for the full license details.
#
# The graphics in this file are released under the Creative Commons Attribution license (CC-BY).
# Go to https://creativecommons.org/licenses/by/4.0/ for the full license details.

import upygame as upg
import framebuf
import intro
import game
import over

upg.display.init()
screen_sf = upg.display.set_mode() # full screen
upg.display.set_palette_16bit([0x0000,0x7bef,0x03ff,65535,0xf800]);


state = intro.Intro()

class GameData:
    speed = 3
    score = 0
    bestScore = 0

gd = GameData

while True:
    
    if(state.Run(screen_sf,gd)):
        ts = type(state)
        if (ts == intro.Intro):
            state = game.Game()
        elif (ts == game.Game):
            state = over.Over()
        elif (ts == over.Over):
            state = game.Game()
    
    
    upg.display.flip()